## owfs 3.1p1

=== debian/changelog ===
owfs (3.1p1-2ubuntu1) xenial; urgency=medium

  * Disable libow-php{,5} while swig does not support PHP 7.0
    (LP: #1546823).
  * Update to PHP7.0 dependencies (LP: #1562215).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 28 Mar 2016 09:50:57 -0700

owfs (3.1p1-2) unstable; urgency=medium

  * fix kFreeBSD patch (upstream applied patch was not working with kFreeBSD)
  * enable avahi support in the package

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 18 Jan 2016 22:42:14 +0100

owfs (3.1p1-1) unstable; urgency=medium

  * New upstream version
    + fix bugs for w1 kernel interface
  * Refresh debian/patches/*
  * Dump soname (as done by upstream for each new release)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 17 Jan 2016 20:03:41 +0100

owfs (3.1p0-2) unstable; urgency=medium

  * apply/fix 'cme fix dpkg' notices
  * Switching to libusb 1.0 (Closes: #810450)
  * enable ddeb instead of the manual owfs-dbg debug package

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 12 Jan 2016 09:21:20 +0100

owfs (3.1p0-1) unstable; urgency=medium

  * New upstream release
    + refresh patches (and remove upstream applied ones)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 20 Jul 2015 15:21:14 +0200

=== debian/control ===
Source: owfs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: electronics
XS-Autobuild: no
Priority: extra
Build-Depends: debhelper (>= 9),
               quilt,
               autotools-dev,
               libfuse-dev,
               swig,
               python-all-dev,
               tcl-dev,
               libusb-1.0-0-dev,
               php-cli,
               php-dev,
               ed,
               systemd [linux-any],
               groff-base,
               dh-python,
               pkg-config,
               libavahi-client-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/owfs.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/owfs.git
Homepage: http://owfs.org/

Package: owfs-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ucf
Description: common files used by any of the OWFS programs
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package contains the common files that are used by any of the
 OWFS programs.

Package: owfs
Architecture: all
Depends: ${misc:Depends},
         owfs-fuse (>= ${binary:Version}),
         owserver (>= ${binary:Version}),
         owhttpd (>= ${binary:Version}),
         owftpd (>= ${binary:Version})
Suggests: owfs-doc
Description: Dallas 1-wire support
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package is a metapackage depending on various other OWFS packages.
 Installing this package gets you a FUSE daemon, server arbitrates access
 to the bus from multiple client processes, small ftp and webserver.

Package: libow-3.1-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         owfs-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: 1-Wire File System full library
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes the ow library that is able to talk directly to 1-wire
 buses.

Package: libowcapi-3.1-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: 1-Wire File System C library
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes the C API that allows one to talk directly to 1-wire
 buses (through the libow library).

Package: libow-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libow-3.1-1 (= ${binary:Version}),
         libowcapi-3.1-1 (= ${binary:Version})
Description: 1-Wire File System (development files)
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes development libraries and C header files.

Package: libownet-3.1-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: owserver protocol library
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes the ownet library that is able to talk to a owserver
 in order to get/send 1-wire information.

Package: libownet-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libownet-3.1-1 (= ${binary:Version})
Description: owserver protocol library (development files)
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package contains the development libraries and interfaces
 to access a remote owserver.

Package: owserver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         owfs-common,
         lsb-base
Suggests: avahi-daemon
Description: Backend server for 1-Wire control
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWserver arbitrates access to the 1-Wire bus from multiple client processes.
 The physical bus is usually connected to a serial or USB port,
 and other processes connect to owserver over network sockets (tcp port).
 Communication can be local or over a network.

Package: ow-shell
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: owserver
Description: shell utilities to talk to an 1-Wire owserver
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package has several command line programs to talk to an owserver.
 Included programs are :
  * owdir: list 1-wire devices or properties
  * owread: read 1-wire value
  * owget: combines owdir and owread
  * owwrite: set a 1-wire value
  * owexist: check if a 1-wire server is reachable
  * owpresent: check if a 1-wire device is connected

Package: ow-tools
Architecture: all
Depends: ${misc:Depends},
         tk
Suggests: owserver
Breaks: ow-shell (<<2.9p5)
Replaces: ow-shell (<<2.9p5)
Description: tools to monitor or inspect a ow-server link
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes two TclTk tools:
  * owtap: inspect network transmission of the owserver protocol
  * owmon: show statistics and setting for an owserver

Package: owfs-fuse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         owfs-common
Recommends: owserver,
            fuse
Suggests: owhttpd,
          owftpd
Description: 1-Wire filesystem
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWFS is a userspace virtual filesystem exposing all 1-Wire properties
 mapped into a filesystem.

Package: owhttpd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         owfs-common,
         lsb-base
Recommends: owserver
Description: HTTP daemon providing access to 1-Wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 HTTP daemon providing access to 1-Wire networks.

Package: owftpd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         owfs-common,
         lsb-base
Recommends: owserver
Description: FTP daemon providing access to 1-Wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 FTP daemon providing access to 1-Wire networks.

Package: libow-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends}
Description: Dallas 1-wire support: Perl5 bindings
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 Perl bindings for the OWFS 1-wire support library have been produced
 with SWIG and allow access to libow functions from perl code.

Package: libownet-perl
Architecture: all
Section: perl
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends}
Description: Perl module for accessing 1-wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWNet.pm is a perl module for accessing 1-wire sensors through an owserver.

Package: python-ow
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Description: Dallas 1-wire support: Python bindings
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 Python bindings for the OWFS 1-Wire support library have been produced
 with SWIG and allow access to libow functions from Python code.

Package: python-ownet
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python module for accessing 1-wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWnet is a standalone Python module for accessing 1-wire sensors
 through an owserver.

Package: libow-tcl
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Dallas 1-wire support: Tcl bindings
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package contains Tcl bindings to the OWFS core library (libow),
 which is used to access 1-Wire networks

Package: owfs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: owfs
Description: Dallas 1-wire support: Documentation for owfs
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 Documentation for OWFS in 'man' format.
 This package contains the manpages for 1-Wire, including the
 device-specific manpages.

Package: owfs-dbg
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}
Description: Debugging symbols for the OWFS packages (transitional package)
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package was containing gdb debugging symbols for OWFS packages.
 Now, automatic -dbgsym packages are generated. Install them if you
 need to debug crashes in programs using 1-wire.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=2

DH_OPTIONS=--with python2 --with quilt --with autotools_dev

# export necessary for (hardening) flags for perl
DEB_CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
DEB_CFLAGS += `dpkg-buildflags --get CFLAGS`
DEB_LDFLAGS = `dpkg-buildflags --get LDFLAGS`
export DEB_CPPFLAGS DEB_CFLAGS DEB_LDFLAGS 

CONFIGURE_OPTIONS=\
	--enable-debian       \
	--enable-debug        \
	--disable-profiling   \
	--enable-owshell      \
	--enable-owlib        \
	--enable-ownetlib     \
	--enable-i2c          \
	--enable-owhttpd      \
	--enable-owftpd       \
	--enable-owserver     \
	--enable-owexternal   \
	--enable-ownet        \
	--enable-owtap        \
	--disable-owmalloc    \
	--disable-owtraffic   \
	--enable-owmon        \
	--enable-owcapi       \
	--enable-swig         \
	--enable-owperl       \
	--disable-owphp       \
	--enable-owpython     \
	--enable-owtcl        \
	--enable-owfs         \
	--enable-zero         \
	--enable-usb          \
	--enable-parport      \
	--enable-avahi

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_OPTIONS += --enable-w1
else
CONFIGURE_OPTIONS += --disable-w1
endif

%:
	dh $@ $(DH_OPTIONS)

.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_install
override_dh_auto_configure:
	autoreconf -vif
	dh_auto_configure -- $(CONFIGURE_OPTIONS)

override_dh_auto_test:
	# no tests available

override_dh_auto_install:
	dh_auto_install
	# do not install partial manpage with generic names. Instead, include
	# text directly in manpages and remove them.
	cd debian/tmp/usr/share/man && \
	for manfile in $$(find . -iname "*.[135]") ; do \
		for i in $$(sed -n '2,$$ s/^.so //p' $$manfile | tac); do \
			printf "%s\n" H /$$(echo "$$i" | sed -e 's,/,\\/,g')/d - ".r ./$$i" ",w" \
				| ed -s $$manfile  ; \
		done ; \
	done
	find debian/tmp/usr/share/man -iname "*.[135n]so" -exec $(RM) {} \;

override_dh_install:
	dh_install --list-missing -X.la -Xperllocal.pod

.PHONY: override_dh_strip override_dh_makeshlibs
override_dh_strip:
	dh_strip --ddeb-migration='owfs-dbg (<< 3.1p0-2~)'

override_dh_makeshlibs:
	dh_makeshlibs --no-package libow-php5 --no-package libow-tcl
	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars

clean:
	dh clean $(DH_OPTIONS)
	# remove autoreconf modifications
	find . -name Makefile.am | while read f ; do \
		$(RM) "$$(dirname "$$f")/$$(basename "$$f" .am).in" ; \
	done
	$(RM) INSTALL aclocal.m4 configure
	find src/scripts/install -type f -a ! -name "config*" -a -exec rm -v {} \;
	$(RM) module/owcapi/src/example++/Makefile \
		module/owcapi/src/example/Makefile \
		module/ownet/c/src/example/Makefile \
		module/ownet/php/examples/ownet_example.php \
		module/swig/php/example/load_php_OW.php \
		module/swig/perl5/OW/Makefile.linux \
		module/swig/perl5/OW/Makefile.osx
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status --porcelain | \
		sed -e '/^ D /s/^ D //p;d' | grep -v '^debian/')
	:

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg[1-9]// \
http://sf.net/owfs/owfs-(.*)\.tar\.gz

## owfs 3.1p5

=== debian/changelog ===
owfs (3.1p5-2) unstable; urgency=medium

  * Fix "owfs FTBFS with debhelper 10.9" (Closes: #876692)
    The libow-php5 was removed (see 3.1p1-4 below) but still in
    the dh_makeshlibs invocation (to be excluded...)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Oct 2017 22:12:41 +0200

owfs (3.1p5-1) unstable; urgency=medium

  * New upstream release
  * fix watch file to avoid to look at non-release files

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jan 2017 23:32:07 +0100

owfs (3.1p4-1) unstable; urgency=medium

  * New upstream release
    + remove patches that upstream applied
    + rename libraies (new soname as for each upstream release)
  * Fix new typos found by lintian
  * Add missing "Breaks: libow-2.8-15" (wheezy package) for owfs-common
    as owfs-common take over its conffile (Closes: #838144)
  * Remove libfuse-dev B-D on hurd-i386 (unavailable). Lets see if the
    package still compile on this arch (Closes: #815466)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 30 Sep 2016 12:39:49 +0200

owfs (3.1p1-6) unstable; urgency=medium

  * Fix lintian-found (minor) bugs

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 16 May 2016 20:51:44 +0200

owfs (3.1p1-5) unstable; urgency=medium

  * really fix php dependencies (Thanks Logan Rosen)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 16 May 2016 08:53:29 +0200

owfs (3.1p1-4) unstable; urgency=medium

  * Remove php bindings. Swig do not support php7 (yet) and Debian not
    no support php5 (any more) (Closes: #821523, #821691)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 07 May 2016 10:20:12 +0200

owfs (3.1p1-3) unstable; urgency=medium

  * Applying provided patch to fix crash when fuse options are provided
    (Closes: #815046) (thanks Matthew Gabeler-Lee)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Apr 2016 23:59:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: owfs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: electronics
-XS-Autobuild: no
 Priority: extra
 Build-Depends: debhelper (>= 9),
                quilt,
                autotools-dev,
-               libfuse-dev,
+               libfuse-dev [!hurd-i386],
                swig,
                python-all-dev,
                tcl-dev,
                libusb-1.0-0-dev,
+               ed,
                php-cli,
                php-dev,
-               ed,
                systemd [linux-any],
                groff-base,
                dh-python,
                pkg-config,
                libavahi-client-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/owfs.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/owfs.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/owfs.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/owfs.git
 Homepage: http://owfs.org/
 
 Package: owfs-common
@@ -30,6 +28,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ucf
+Breaks: libow-2.8-15
 Description: common files used by any of the OWFS programs
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -55,7 +54,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-3.1-1
+Package: libow-3.1-5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -71,7 +70,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-3.1-1
+Package: libowcapi-3.1-5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -91,8 +90,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libow-3.1-1 (= ${binary:Version}),
-         libowcapi-3.1-1 (= ${binary:Version})
+         libow-3.1-5 (= ${binary:Version}),
+         libowcapi-3.1-5 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -100,7 +99,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-3.1-1
+Package: libownet-3.1-5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -120,7 +119,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libownet-3.1-1 (= ${binary:Version})
+         libownet-3.1-5 (= ${binary:Version})
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -170,8 +169,8 @@
 Depends: ${misc:Depends},
          tk
 Suggests: owserver
-Breaks: ow-shell (<<2.9p5)
-Replaces: ow-shell (<<2.9p5)
+Breaks: ow-shell (<< 2.9p5)
+Replaces: ow-shell (<< 2.9p5)
 Description: tools to monitor or inspect a ow-server link
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -226,6 +225,19 @@
  .
  FTP daemon providing access to 1-Wire networks.
 
+Package: libownet-php
+Architecture: all
+Section: web
+Depends: php | php-cli,
+         ${misc:Depends}
+Description: Dallas 1-wire support: PHP OWNet library
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ The PHP OWNet library lets you access owserver and allows reading,
+ writing and listing the 1-wire bus.
+
 Package: libow-perl
 Architecture: any
 Section: perl

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,15 @@
 #export DH_VERBOSE=2
 
 DH_OPTIONS=--with python2 --with quilt --with autotools_dev
+
+# ensure the use of all hardening flags
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS
+
+# Avoid lots of warnings while compiling:
+# # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
+DEB_CPPFLAGS_MAINT_APPEND=-D_DEFAULT_SOURCE
+export DEB_CPPFLAGS_MAINT_APPEND
 
 # export necessary for (hardening) flags for perl
 DEB_CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
@@ -37,7 +46,7 @@
 	--enable-owcapi       \
 	--enable-swig         \
 	--enable-owperl       \
-	--disable-owphp       \
+	--enable-owphp        \
 	--enable-owpython     \
 	--enable-owtcl        \
 	--enable-owfs         \
@@ -85,7 +94,7 @@
 	dh_strip --ddeb-migration='owfs-dbg (<< 3.1p0-2~)'
 
 override_dh_makeshlibs:
-	dh_makeshlibs --no-package libow-php5 --no-package libow-tcl
+	dh_makeshlibs --no-package libow-tcl
 	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
 
 clean:

## owfs 3.2p2

=== debian/changelog ===
owfs (3.2p2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * remove libow-php7 (stretch swig to not support php7)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 30 Sep 2018 21:13:46 +0200

owfs (3.2p2-2) unstable; urgency=medium

  * Remove transitional owfs-dbg package
  * Make systemd service files uses /etc/owfs.conf (as was doing
    previous init scripts)
  * use Debian-ow user to run owftpd and owhttpd

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 23 Sep 2018 22:10:39 +0200

owfs (3.2p2-1) unstable; urgency=medium

  * New upstream release (Closes: #908025)
  * Use upstream systemd init files (Closes: #834018)
  * compile with fdti support (Closes: #904850)
  * add owusbprobe into ow-shell
  * re-enable php binding (Closes: 823661)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 23 Sep 2018 14:37:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: owfs
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: electronics
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 11),
                quilt,
-               autotools-dev,
                libfuse-dev [!hurd-i386],
                swig,
                python-all-dev,
@@ -17,18 +16,20 @@
                groff-base,
                dh-python,
                pkg-config,
-               libavahi-client-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/owfs.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/owfs.git
+               libavahi-client-dev,
+               libftdi1-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/owfs
+Vcs-Git: https://salsa.debian.org/debian/owfs.git
 Homepage: http://owfs.org/
 
 Package: owfs-common
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
+         adduser,
          ucf
-Breaks: libow-2.8-15
+Breaks: libow-2.8-15 (<<2.9)
 Description: common files used by any of the OWFS programs
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -54,7 +55,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-3.1-5
+Package: libow-3.2-2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -70,7 +71,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-3.1-5
+Package: libowcapi-3.2-2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -90,8 +91,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libow-3.1-5 (= ${binary:Version}),
-         libowcapi-3.1-5 (= ${binary:Version})
+         libow-3.2-2 (= ${binary:Version}),
+         libowcapi-3.2-2 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -99,7 +100,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-3.1-5
+Package: libownet-3.2-2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -119,7 +120,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libownet-3.1-5 (= ${binary:Version})
+         libownet-3.2-2 (= ${binary:Version})
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -132,7 +133,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common,
+         owfs-common (>= 3.2p2-2~),
          lsb-base
 Suggests: avahi-daemon
 Description: Backend server for 1-Wire control
@@ -184,7 +185,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common
+         owfs-common (>= 3.2p2-2~)
 Recommends: owserver,
             fuse
 Suggests: owhttpd,
@@ -201,7 +202,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common,
+         owfs-common (>= 3.2p2-2~),
          lsb-base
 Recommends: owserver
 Description: HTTP daemon providing access to 1-Wire networks
@@ -215,7 +216,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common,
+         owfs-common (>= 3.2p2-2~),
          lsb-base
 Recommends: owserver
 Description: FTP daemon providing access to 1-Wire networks
@@ -297,7 +298,7 @@
 
 Package: libow-tcl
 Architecture: any
-Section: devel
+Section: interpreters
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Dallas 1-wire support: Tcl bindings
@@ -321,16 +322,3 @@
  Documentation for OWFS in 'man' format.
  This package contains the manpages for 1-Wire, including the
  device-specific manpages.
-
-Package: owfs-dbg
-Architecture: any
-Section: oldlibs
-Depends: ${misc:Depends}
-Description: Debugging symbols for the OWFS packages (transitional package)
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- This package was containing gdb debugging symbols for OWFS packages.
- Now, automatic -dbgsym packages are generated. Install them if you
- need to debug crashes in programs using 1-wire.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=2
 
-DH_OPTIONS=--with python2 --with quilt --with autotools_dev
+DH_OPTIONS=--with python2 --with quilt
 
 # ensure the use of all hardening flags
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -24,7 +24,7 @@
 DEB_CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
 DEB_CFLAGS += `dpkg-buildflags --get CFLAGS`
 DEB_LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-export DEB_CPPFLAGS DEB_CFLAGS DEB_LDFLAGS 
+export DEB_CPPFLAGS DEB_CFLAGS DEB_LDFLAGS
 
 CONFIGURE_OPTIONS=\
 	--enable-debian       \
@@ -53,9 +53,10 @@
 	--enable-zero         \
 	--enable-usb          \
 	--enable-parport      \
-	--enable-avahi
+	--enable-avahi        \
+	--enable-ftdi
 
-DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+include /usr/share/dpkg/architecture.mk
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFIGURE_OPTIONS += --enable-w1
 else
@@ -65,7 +66,7 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_install
+.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_missing
 override_dh_auto_configure:
 	autoreconf -vif
 	dh_auto_configure -- $(CONFIGURE_OPTIONS)
@@ -86,16 +87,13 @@
 	done
 	find debian/tmp/usr/share/man -iname "*.[135n]so" -exec $(RM) {} \;
 
-override_dh_install:
-	dh_install --list-missing -X.la -Xperllocal.pod
+override_dh_missing:
+	dh_missing --fail-missing -X.la -Xperllocal.pod
 
-.PHONY: override_dh_strip override_dh_makeshlibs
-override_dh_strip:
-	dh_strip --ddeb-migration='owfs-dbg (<< 3.1p0-2~)'
-
+.PHONY: override_dh_makeshlibs
 override_dh_makeshlibs:
 	dh_makeshlibs --no-package libow-tcl
-	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
+	echo "php:Depends=phpapi-$$(php-config --phpapi)" >> debian/libow-php7.substvars
 
 clean:
 	dh clean $(DH_OPTIONS)
@@ -120,4 +118,3 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
-

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg[1-9]// \
http://sf.net/owfs/owfs-([0-9].*)\.tar\.gz

## owfs 3.2p3%2Bdfsg1

=== debian/changelog ===
owfs (3.2p3+dfsg1-5build1) focal; urgency=medium

  * No-change rebuild for PHP 7.4

 -- Bryce Harrington <bryce@canonical.com>  Tue, 25 Feb 2020 23:55:05 +0000

owfs (3.2p3+dfsg1-5) unstable; urgency=medium

  * Remove python support (Closes: #937225, #943612)
    python3 will be re-added when upstream correctly support it
    python2 is not supported anymore in Debian

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 11 Dec 2019 17:03:39 +0100

owfs (3.2p3+dfsg1-4) unstable; urgency=medium

  * Reupload as source-only

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 23 Aug 2019 21:41:00 +0200

owfs (3.2p3+dfsg1-3) unstable; urgency=medium

  * add -fPIC when compiling python modules (Closes: #932299)
  * Use debhelper-compat for dh supported version
  * bump Standards-Version
  * Fix systemd glitches found by lintian
  * Force correct LDFLAGS on python packages
  * Fix typo in manpages (for upstream)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 25 Jul 2019 11:21:27 +0200

owfs (3.2p3+dfsg1-2) unstable; urgency=medium

  * Fix python raise syntax to support python3 (Closes: #916559)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 18 Dec 2018 20:48:32 +0100

owfs (3.2p3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Vincent Danjean ]
  * Add Debian CI
  * d/watch: switch to github
  * Add support for python3

  [ upstream ]
  * v3.2p3 is mainly a bugfix & cleanup release.
  * New Functions
    + Added owcapi "OW_visible" method
    + PHP7 support
    + Add pkg-config entry for owcapi
  * Minor Fixes
    + Fixed OW_init() fail when parsing command line options before calling it
    + Fix glibc major() compat (Closes: #913105)
    + Fix uninstall in certain modules
    + Portable getpagesize
    + Fix generation of OW.pm
    + Add explicit avahi include dir, when enabled
    + Typos in manpages

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 11 Dec 2018 20:36:42 +0100

## owfs 3.2p3+dfsg1

=== src/sniffer/Makefile ===
# Makefile                       Copyright (C) 2001, Real-Time Systems Inc. 
#------------------------------------------ www.realtime.bc.ca ------------
#
#	Makefile
#
#	Compile, install, uninstall and clean "xt" program
# 
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#---------------------------------------------------------------------------


# Prefix of directory to store executable and man page.

prefix := /usr/local
 

# Rules

all: xt linksniff

xt : xt.c Makefile
	cc -g -O2 -lutil -o $@ $<

xt : linksniff.c Makefile
	cc -g -O2 -lutil -o $@ $<

install : all
	cp xt $(prefix)/bin/
	cp xt.1 $(prefix)/man/man1/
	cp linksniff $(prefix)/bin/
	cp linksniff.1 $(prefix)/man/man1/

uninstall : clean
	rm $(prefix)/bin/xt
	rm $(prefix)/bin/linksniff
	rm $(prefix)/man/man1/xt.1
	rm $(prefix)/man/man1/linksniff.1

clean :
	rm xt
	rm linksniff

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                libfuse-dev [!hurd-i386],
                swig,
                python-all-dev,
+               python3-all-dev,
                tcl-dev,
                libusb-1.0-0-dev,
                ed,
@@ -55,7 +56,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-3.2-2
+Package: libow-3.2-3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -71,7 +72,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-3.2-2
+Package: libowcapi-3.2-3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -91,8 +92,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libow-3.2-2 (= ${binary:Version}),
-         libowcapi-3.2-2 (= ${binary:Version})
+         libow-3.2-3 (= ${binary:Version}),
+         libowcapi-3.2-3 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -100,7 +101,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-3.2-2
+Package: libownet-3.2-3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -120,7 +121,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libownet-3.2-2 (= ${binary:Version})
+         libownet-3.2-3 (= ${binary:Version})
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -133,7 +134,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~),
+         owfs-common (>= 3.2p3-1~),
          lsb-base
 Suggests: avahi-daemon
 Description: Backend server for 1-Wire control
@@ -185,7 +186,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~)
+         owfs-common (>= 3.2p3-1~)
 Recommends: owserver,
             fuse
 Suggests: owhttpd,
@@ -202,7 +203,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~),
+         owfs-common (>= 3.2p3-1~),
          lsb-base
 Recommends: owserver
 Description: HTTP daemon providing access to 1-Wire networks
@@ -216,7 +217,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~),
+         owfs-common (>= 3.2p3-1~),
          lsb-base
 Recommends: owserver
 Description: FTP daemon providing access to 1-Wire networks
@@ -226,6 +227,21 @@
  .
  FTP daemon providing access to 1-Wire networks.
 
+Package: libow-php7
+Architecture: any
+Section: php
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${php:Depends}
+Breaks: libow-php5 (<< 3.2)
+Description: Dallas 1-wire support: PHP5 bindings
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ PHP bindings for the OWFS 1-wire support library have been produced
+ with SWIG and allow access to libow* functions from PHP code.
+
 Package: libownet-php
 Architecture: all
 Section: web
@@ -273,12 +289,27 @@
          ${python:Depends},
          ${misc:Depends}
 Provides: ${python:Provides}
-Description: Dallas 1-wire support: Python bindings
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- Python bindings for the OWFS 1-Wire support library have been produced
+Description: Dallas 1-wire support: Python 2 bindings
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ Python 2 bindings for the OWFS 1-Wire support library have been produced
+ with SWIG and allow access to libow functions from Python code.
+
+Package: python3-ow
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Dallas 1-wire support: Python 3 bindings
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ Python 3 bindings for the OWFS 1-Wire support library have been produced
  with SWIG and allow access to libow functions from Python code.
 
 Package: python-ownet
@@ -288,14 +319,29 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: ${python:Provides}
-Description: Python module for accessing 1-wire networks
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- OWnet is a standalone Python module for accessing 1-wire sensors
+Description: Python 2 module for accessing 1-wire networks
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ OWnet is a standalone Python 2 module for accessing 1-wire sensors
  through an owserver.
 
+Package: python3-ownet
+Architecture: all
+Section: python
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: ${python3:Provides}
+Description: Python 3 module for accessing 1-wire networks
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ OWnet is a standalone Python 3 module for accessing 1-wire sensors
+ through an owserver.
+
 Package: libow-tcl
 Architecture: any
 Section: interpreters
@@ -306,19 +352,3 @@
  sensors, access control, etc. It can be attached to your system via
  serial, USB, I2C, and other interfaces.
  .
- This package contains Tcl bindings to the OWFS core library (libow),
- which is used to access 1-Wire networks
-
-Package: owfs-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Suggests: owfs
-Description: Dallas 1-wire support: Documentation for owfs
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- Documentation for OWFS in 'man' format.
- This package contains the manpages for 1-Wire, including the
- device-specific manpages.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=2
 
-DH_OPTIONS=--with python2 --with quilt
+DH_OPTIONS=--with python2 --with python3 --with quilt
 
 # ensure the use of all hardening flags
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -66,9 +66,12 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_missing
+.PHONY: override_dh_autoreconf override_dh_auto_configure override_dh_auto_test override_dh_missing
+override_dh_autoreconf:
+	test -f README || cp README.md README
+	dh_autoreconf
+
 override_dh_auto_configure:
-	autoreconf -vif
 	dh_auto_configure -- $(CONFIGURE_OPTIONS)
 
 override_dh_auto_test:
@@ -96,6 +99,7 @@
 	echo "php:Depends=phpapi-$$(php-config --phpapi)" >> debian/libow-php7.substvars
 
 clean:
+	$(RM) README
 	dh clean $(DH_OPTIONS)
 	# remove autoreconf modifications
 	find . -name Makefile.am | while read f ; do \
